=== debian/changelog ===
xapi (1.9.52-4) UNRELEASED; urgency=low

  * Remove ocaml-libvhd dependency

 -- David Scott <dave.scott@citrix.com>  Thu, 02 Oct 2014 12:00:00 +0000

xapi (1.9.52-3) UNRELEASED; urgency=low

  * Remove xen-missing-headers dependency

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Thu, 04 Sep 2014 12:00:00 +0000

xapi (1.9.52-2) UNRELEASED; urgency=low

  * switch to xenlight xenopsd by default

 -- David Scott <dave.scott@citrix.com>  Thu, 21 Aug 2014 12:00:00 +0000

xapi (1.9.52-1) UNRELEASED; urgency=low

  * update 1.9.52

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Tue, 29 Jul 2014 12:00:00 +0000

xapi (1.9.50-1) UNRELEASED; urgency=low

  * update 1.9.50

 -- David Scott <dave.scott@citrix.com>  Fri, 06 Jun 2014 12:00:00 +0000

xapi (1.9.49-1) UNRELEASED; urgency=low

  * update to 1.9.49

 -- David Scott <dave.scott@citrix.com>  Fri, 23 May 2014 12:00:00 +0000

xapi (1.9.47-1) UNRELEASED; urgency=low

  * update to 1.9.47

 -- David Scott <dave.scott@citrix.com>  Tue, 13 May 2014 12:00:00 +0000

xapi (1.9.46-1) UNRELEASED; urgency=low

  * update to 1.9.46

 -- David Scott <dave.scott@citrix.com>  Sun, 11 May 2014 12:00:00 +0000

xapi (1.9.45-1) UNRELEASED; urgency=low

  * update to 1.9.45

 -- David Scott <dave.scott@citrix.com>  Sat, 10 May 2014 12:00:00 +0000

xapi (1.9.44-1) UNRELEASED; urgency=low

  * update to 1.9.44

 -- David Scott <dave.scott@citrix.com>  Fri, 09 May 2014 12:00:00 +0000

xapi (1.9.41-1) UNRELEASED; urgency=low

  * first release from master

 -- David Scott <dave.scott@citrix.com>  Mon, 28 Apr 2014 12:00:00 +0000

xapi (1.9.40-1) UNRELEASED; urgency=low

  * update to new xcp-idl interface with SR.probe

 -- David Scott <dave.scott@citrix.com>  Sat, 26 Apr 2014 12:00:00 +0000

xapi (1.9.39-1) UNRELEASED; urgency=low

  * update to 1.9.39 - switch from stdext's Tar to ocaml-tar

 -- Euan Harris <euan.harris@citrix.com>  Wed, 02 Apr 2014 12:00:00 +0000

xapi (1.9.38-1) UNRELEASED; urgency=low

  * update to 1.9.38 - import_raw_vdi path fix

 -- David Scott <dave.scott@eu.citrix.com>  Wed, 30 Oct 2013 12:00:00 +0000

xapi (1.9.37-1) UNRELEASED; urgency=low

  * update to 1.9.37 - bugfixes for storage motion on Ubuntu

 -- David Scott <dave.scott@eu.citrix.com>  Tue, 29 Oct 2013 12:00:00 +0000

xapi (1.9.36-1) UNRELEASED; urgency=low

  * update to 1.9.36 - bugfixes for storage motion

 -- David Scott <dave.scott@eu.citrix.com>  Fri, 25 Oct 2013 12:00:00 +0000

xapi (1.9.34-1) UNRELEASED; urgency=low

  * Update to 1.9.34 - bugfix for VDI.uuid filename feature

 -- David Scott <dave.scott@eu.citrix.com>  Tue, 22 Oct 2013 12:00:00 +0000

xapi (1.9.32-1) UNRELEASED; urgency=low

  * Update to 1.9.32 - include VDI.uuid filename improvements

 -- David Scott <dave.scott@eu.citrix.com>  Mon, 21 Oct 2013 12:00:00 +0000

xapi (1.9.30-1) UNRELEASED; urgency=low

  * Update to 1.9.30 - assume dom0 can be ballooned in all memory calculations.

 -- Euan Harris <euan.harris@citrix.com>  Fri, 11 Oct 2013 12:00:00 +0000

xapi (1.9.29-1) UNRELEASED; urgency=low

  * Update to 1.9.29

 -- David Scott <dave.scott@eu.citrix.com>  Fri, 27 Sep 2013 12:00:00 +0000

xapi (1.9.27-2) UNRELEASED; urgency=low

  * Remove dependency on ocaml-bitstring

 -- David Scott <dave.scott@eu.citrix.com>  Tue, 24 Sep 2013 12:00:00 +0000

xapi (1.9.27-1) UNRELEASED; urgency=low

  * Update to 1.9.27

 -- David Scott <dave.scott@eu.citrix.com>  Tue, 24 Sep 2013 12:00:00 +0000

xapi (1.9.25-2) UNRELEASED; urgency=low

  * Use 'python_sitelib' macro to choose Python install path, instead of hard-coding it.

 -- Euan Harris <euan.harris@citrix.com>  Thu, 19 Sep 2013 12:00:00 +0000

xapi (1.9.25-1) UNRELEASED; urgency=low

  * Can now use either 'ffs' or 'iso' for the tools SR

 -- David Scott <dave.scott@eu.citrix.com>  Wed, 11 Sep 2013 12:00:00 +0000

xapi (1.9.22-1) UNRELEASED; urgency=low

  * Query domain 0 memory policy from squeezed

 -- David Scott <dave.scott@eu.citrix.com>  Wed, 04 Sep 2013 12:00:00 +0000

xapi (1.9.21-1) UNRELEASED; urgency=low

  * Update to 1.9.21, switch default xenopsd to the "classic" version

 -- David Scott <dave.scott@eu.citrix.com>  Wed, 04 Sep 2013 12:00:00 +0000

xapi (1.9.20-1) UNRELEASED; urgency=low

  * Fix XenAPI.py on python2.7

 -- David Scott <dave.scott@eu.citrix.com>  Mon, 02 Sep 2013 12:00:00 +0000

xapi (1.9.19-1) UNRELEASED; urgency=low

  * Add sparse_dd to the xapi package so VDI.copy should work

 -- David Scott <dave.scott@eu.citrix.com>  Tue, 20 Aug 2013 12:00:00 +0000

xapi (1.9.6-1) UNRELEASED; urgency=low

  * Update to 1.9.6

 -- David Scott <dave.scott@eu.citrix.com>  Tue, 18 Jun 2013 12:00:00 +0000

xapi (1.9.2-1) UNRELEASED; urgency=low

  * Add python-devel for writing python clients

 -- David Scott <dave.scott@eu.citrix.com>  Sat, 08 Jun 2013 12:00:00 +0000

xapi (1.9.1-1) UNRELEASED; urgency=low

  * Initial package

 -- David Scott <dave.scott@eu.citrix.com>  Wed, 05 Jun 2013 12:00:00 +0000
