=== debian/control ===
Source: xapi
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 libpam0g-dev,
 ocaml-xen-lowlevel-libs-dev,
 libxcp-rrd-ocaml-dev,
 libcmdliner-ocaml-dev,
 liboclock-ocaml-dev,
 blktap-utils,
 libxenstore-ocaml-dev,
 ocaml-native-compilers,
 git,
 zlib1g-dev,
 camlp4-extra,
 libnetdev-ocaml-dev,
 libopasswd-ocaml-dev,
 libcdrom-ocaml-dev,
 ocaml-nox,
 texlive-base,
 blktap-dev,
 ocaml-findlib,
 libffi-dev,
 uuid-dev,
 tar-ocaml-dev,
 ocaml-xen-api-libs-transitional-dev,
 python-dev,
 message-switch-dev,
 libtapctl-ocaml-dev,
 libxcp-idl-ocaml-dev,
 forkexecd-dev,
 dh-ocaml (>= 0.9),
 qemu-system-x86,
 libstdext-ocaml-dev,
 make,
 libxen-api-client-ocaml-dev,
 libxcp-inventory-ocaml-dev,
 utop,
 libnbd-ocaml-dev,
 camlp4,
 python,
 debhelper (>= 8),
 libxenstore-clients-ocaml-dev,
 librpc-ocaml-dev,
 libounit-ocaml-dev,
 libssl-ocaml-dev,
 omake,
 libfd-send-recv-ocaml-dev,
 libxen-dev

Package: xapi
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 hwdata,
 libxcp-inventory-ocaml,
 lsb-base,
 stunnel,
 vhd-tool,
 libffi6
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Xen toolstack for XCP
 This package contains the xapi toolstack.

Package: xapi-xe
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 bash-completion
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: The xapi toolstack CLI
 The command-line interface for controlling XCP hosts.

Package: xapi-python-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 python
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: XenAPI client support in python
 Libraries for writing XenAPI clients in python.
