## xapi 1.9.58

=== Makefile ===
--- 
+++ 
@@ -29,6 +29,7 @@
 EXTRA_INSTALL_PATH=
 
 export ETCDIR OPTDIR PLUGINDIR HOOKSDIR INVENTORY VARPATCHDIR LIBEXECDIR XAPICONF SCRIPTSDIR SHAREDIR WEBDIR XHADIR BINDIR SBINDIR UDEVDIR OCAMLPATH EXTRA_INSTALL_PATH
+export DISABLE_WARN_ERROR
 
 .PHONY: all
 all: version
@@ -55,12 +56,11 @@
 	@echo @
 #	Pipe ugly bash output to /dev/null
 	@echo @ xapi unit test suite
-	@./ocaml/test/suite -verbose true
+	@./ocaml/test/suite -verbose true -shards 1
 	@echo
 	@echo @ HA binpack test
 	@./ocaml/xapi/binpack
-#	The following test no longer runs:
-#	./ocaml/database/database_test
+	./ocaml/database/database_test
 #	The following test no longer compiles:
 #	./ocaml/xenops/device_number_test
 #	The following test must be run in dom0:
@@ -121,13 +121,13 @@
 	let git_id = \"$(shell git show-ref --head | grep -E ' HEAD$$' | cut -f 1 -d ' ')\" \n \
 	let hostname = \"$(shell hostname)\" \n \
 	let date = \"$(shell date -u +%Y-%m-%d)\" \n \
-	let product_version = Inventory.lookup ~default:\"\" \"PRODUCT_VERSION\" \n \
-	let product_version_text = Inventory.lookup ~default:\"\" \"PRODUCT_VERSION_TEXT\" \n \
-	let product_version_text_short = Inventory.lookup ~default:\"\" \"PRODUCT_VERSION_TEXT_SHORT\" \n \
+	let product_version () = Inventory.lookup ~default:\"\" \"PRODUCT_VERSION\" \n \
+	let product_version_text () = Inventory.lookup ~default:\"\" \"PRODUCT_VERSION_TEXT\" \n \
+	let product_version_text_short () = Inventory.lookup ~default:\"\" \"PRODUCT_VERSION_TEXT_SHORT\" \n \
 	let platform_name = \"$(PLATFORM_NAME)\" \n \
 	let platform_version = \"$(PLATFORM_VERSION)\" \n \
-	let product_brand = Inventory.lookup ~default:\"\" \"PRODUCT_BRAND\" \n \
-	let build_number = Inventory.lookup ~default:\"$(BUILD_NUMBER)\" \"BUILD_NUMBER\" \n \
+	let product_brand () = Inventory.lookup ~default:\"\" \"PRODUCT_BRAND\" \n \
+	let build_number () = Inventory.lookup ~default:\"$(BUILD_NUMBER)\" \"BUILD_NUMBER\" \n \
 	let xapi_version_major = $(shell cut -d. -f1 VERSION) \n \
 	let xapi_version_minor = $(shell cut -d. -f2 VERSION) \n" \
 	> ocaml/util/version.ml
