=== debian/changelog ===
xapi (1.9.58-2) UNRELEASED; urgency=low

  * Disable disabling FIPS

 -- David Scott <dave.scott@citrix.com>  Fri, 06 Feb 2015 12:00:00 +0000

xapi (1.9.58-1) UNRELEASED; urgency=low

  * Update to 1.9.58

 -- David Scott <dave.scott@citrix.com>  Wed, 21 Jan 2015 12:00:00 +0000

xapi (1.9.57-3) UNRELEASED; urgency=low

  * Add runtime dependency on busybox

 -- David Scott <dave.scott@citrix.com>  Tue, 23 Dec 2014 12:00:00 +0000

xapi (1.9.57-2) UNRELEASED; urgency=low

  * Update conf file
  * Added patch to fix reading sm-path

 -- Bob Ball <bob.ball@citrix.com>  Thu, 04 Dec 2014 12:00:00 +0000

xapi (1.9.57-1) UNRELEASED; urgency=low

  * Update to 1.9.57

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Fri, 24 Oct 2014 12:00:00 +0000

xapi (1.9.52-5) UNRELEASED; urgency=low

  * Add fix for Unix domain socket VNC consoles

 -- David Scott <dave.scott@citrix.com>  Fri, 17 Oct 2014 12:00:00 +0000
