=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
  libopasswd-ocaml-dev,
  libcdrom-ocaml-dev,
  ocaml-nox,
+ ocaml-backtrace-dev,
  texlive-base,
  blktap-dev,
  ocaml-findlib,
@@ -35,6 +36,7 @@
  qemu-system-x86,
  libstdext-ocaml-dev,
  make,
+ ocaml-rrdd-plugin-dev,
  libxen-api-client-ocaml-dev,
  libxcp-inventory-ocaml-dev,
  utop,
@@ -61,7 +63,8 @@
  lsb-base,
  stunnel,
  vhd-tool,
- libffi6
+ libffi6,
+ busybox
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
 Description: Xen toolstack for XCP
